Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class IncapacityreasonType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.IncapacityreasonType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:09:33+02:00",
               comments="JAXB RI v2.3.6")
    public class IncapacityreasonType

extends Object
implements Serializable

to specify the reason of an incapacity

Java class for incapacityreasonType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="incapacityreasonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INCAPACITYREASON"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`IncapacityreasonType()`

Method Summary
`CDINCAPACITYREASON` | `getCd()` Gets the value of the cd property.
`void` | `setCd(CDINCAPACITYREASON value)` Sets the value of the cd property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncapacityreasonType

    public IncapacityreasonType()

Method Detail

### getCd

    public CDINCAPACITYREASON getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDINCAPACITYREASON`

### setCd

    public void setCd(CDINCAPACITYREASON value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDINCAPACITYREASON`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.